Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jdbc
Class WrappedCallableStatement

    java.lang.Object
      org.jboss.resource.adapter.jdbc.WrappedStatement
          org.jboss.resource.adapter.jdbc.WrappedPreparedStatement
              org.jboss.resource.adapter.jdbc.WrappedCallableStatement

All Implemented Interfaces:
  CallableStatement, PreparedStatement, Statement, org.jboss.ejb.plugins.cmp.jdbc.WrappedStatement

public class WrappedCallableStatement
extends WrappedPreparedStatement
implements CallableStatement

WrappedCallableStatement.java Created: Sat Apr 20 22:43:24 2002

Version:
Author:
  David Jencks

Field Summary

Fields inherited from interface java.sql.Statement
`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

Constructor Summary
`WrappedCallableStatement(WrappedConnection lc, CallableStatement cs)`

Method Summary
`Array` | `getArray(int parameterIndex)`
`Array` | `getArray(String parameterName)`
`BigDecimal` | `getBigDecimal(int parameterIndex)`
`BigDecimal` | `getBigDecimal(int parameterIndex, int scale)`
`BigDecimal` | `getBigDecimal(String parameterName)`
`Blob` | `getBlob(int parameterIndex)`
`Blob` | `getBlob(String parameterName)`
`boolean` | `getBoolean(int parameterIndex)`
`boolean` | `getBoolean(String parameterName)`
`byte` | `getByte(int parameterIndex)`
`byte` | `getByte(String parameterName)`
`byte[]` | `getBytes(int parameterIndex)`
`byte[]` | `getBytes(String parameterName)`
`Clob` | `getClob(int parameterIndex)`
`Clob` | `getClob(String parameterName)`
`Date` | `getDate(int parameterIndex)`
`Date` | `getDate(int parameterIndex, Calendar calendar)`
`Date` | `getDate(String parameterName)`
`Date` | `getDate(String parameterName, Calendar calendar)`
`double` | `getDouble(int parameterIndex)`
`double` | `getDouble(String parameterName)`
`float` | `getFloat(int parameterIndex)`
`float` | `getFloat(String parameterName)`
`int` | `getInt(int parameterIndex)`
`int` | `getInt(String parameterName)`
`long` | `getLong(int parameterIndex)`
`long` | `getLong(String parameterName)`
`Object` | `getObject(int parameterIndex)`
`Object` | `getObject(int parameterIndex, Map typeMap)`
`Object` | `getObject(String parameterName)`
`Object` | `getObject(String parameterName, Map typeMap)`
`Ref` | `getRef(int parameterIndex)`
`Ref` | `getRef(String parameterName)`
`short` | `getShort(int parameterIndex)`
`short` | `getShort(String parameterName)`
`String` | `getString(int parameterIndex)`
`String` | `getString(String parameterName)`
`Time` | `getTime(int parameterIndex)`
`Time` | `getTime(int parameterIndex, Calendar calendar)`
`Time` | `getTime(String parameterName)`
`Time` | `getTime(String parameterName, Calendar calendar)`
`Timestamp` | `getTimestamp(int parameterIndex)`
`Timestamp` | `getTimestamp(int parameterIndex, Calendar calendar)`
`Timestamp` | `getTimestamp(String parameterName)`
`Timestamp` | `getTimestamp(String parameterName, Calendar calendar)`
`URL` | `getURL(int parameterIndex)`
`URL` | `getURL(String parameterName)`
`void` | `registerOutParameter(int parameterIndex, int sqlType)`
`void` | `registerOutParameter(int parameterIndex, int sqlType, int scale)`
`void` | `registerOutParameter(int parameterIndex, int sqlType, String typeName)`
`void` | `registerOutParameter(String parameterName, int sqlType)`
`void` | `registerOutParameter(String parameterName, int sqlType, int scale)`
`void` | `registerOutParameter(String parameterName, int sqlType, String typeName)`
`void` | `setAsciiStream(String parameterName, InputStream stream, int length)`
`void` | `setBigDecimal(String parameterName, BigDecimal value)`
`void` | `setBinaryStream(String parameterName, InputStream stream, int length)`
`void` | `setBoolean(String parameterName, boolean value)`
`void` | `setByte(String parameterName, byte value)`
`void` | `setBytes(String parameterName, byte[] value)`
`void` | `setCharacterStream(String parameterName, Reader reader, int length)`
`void` | `setDate(String parameterName, Date value)`
`void` | `setDate(String parameterName, Date value, Calendar calendar)`
`void` | `setDouble(String parameterName, double value)`
`void` | `setFloat(String parameterName, float value)`
`void` | `setInt(String parameterName, int value)`
`void` | `setLong(String parameterName, long value)`
`void` | `setNull(String parameterName, int value)`
`void` | `setNull(String parameterName, int sqlType, String typeName)`
`void` | `setObject(String parameterName, Object value)`
`void` | `setObject(String parameterName, Object value, int sqlType)`
`void` | `setObject(String parameterName, Object value, int sqlType, int scale)`
`void` | `setShort(String parameterName, short value)`
`void` | `setString(String parameterName, String value)`
`void` | `setTime(String parameterName, Time value)`
`void` | `setTime(String parameterName, Time value, Calendar calendar)`
`void` | `setTimestamp(String parameterName, Timestamp value)`
`void` | `setTimestamp(String parameterName, Timestamp value, Calendar calendar)`
`void` | `setURL(String parameterName, URL value)`
`boolean` | `wasNull()`

Methods inherited from class org.jboss.resource.adapter.jdbc.WrappedPreparedStatement
`addBatch, clearParameters, execute, executeQuery, executeUpdate, getMetaData, getParameterMetaData, getUnderlyingStatement, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setObject, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

Methods inherited from class org.jboss.resource.adapter.jdbc.WrappedStatement
`addBatch, cancel, checkException, checkTransaction, clearBatch, clearWarnings, close, closeResultSets, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, internalClose, registerResultSet, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout, unregisterResultSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.sql.PreparedStatement
`addBatch, clearParameters, execute, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setObject, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

Methods inherited from interface java.sql.Statement
`addBatch, cancel, clearBatch, clearWarnings, close, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout`

Constructor Detail

### WrappedCallableStatement

    public WrappedCallableStatement(WrappedConnection lc,
                                    CallableStatement cs)

Method Detail

### getObject

    public Object getObject(int parameterIndex)
                     throws SQLException

  Specified by:
    `getObject` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getObject

    public Object getObject(int parameterIndex,
                            Map typeMap)
                     throws SQLException

  Specified by:
    `getObject` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getObject

    public Object getObject(String parameterName)
                     throws SQLException

  Specified by:
    `getObject` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getObject

    public Object getObject(String parameterName,
                            Map typeMap)
                     throws SQLException

  Specified by:
    `getObject` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getBoolean

    public boolean getBoolean(int parameterIndex)
                       throws SQLException

  Specified by:
    `getBoolean` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getBoolean

    public boolean getBoolean(String parameterName)
                       throws SQLException

  Specified by:
    `getBoolean` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getByte

    public byte getByte(int parameterIndex)
                 throws SQLException

  Specified by:
    `getByte` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getByte

    public byte getByte(String parameterName)
                 throws SQLException

  Specified by:
    `getByte` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getShort

    public short getShort(int parameterIndex)
                   throws SQLException

  Specified by:
    `getShort` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getShort

    public short getShort(String parameterName)
                   throws SQLException

  Specified by:
    `getShort` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getInt

    public int getInt(int parameterIndex)
               throws SQLException

  Specified by:
    `getInt` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getInt

    public int getInt(String parameterName)
               throws SQLException

  Specified by:
    `getInt` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getLong

    public long getLong(int parameterIndex)
                 throws SQLException

  Specified by:
    `getLong` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getLong

    public long getLong(String parameterName)
                 throws SQLException

  Specified by:
    `getLong` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getFloat

    public float getFloat(int parameterIndex)
                   throws SQLException

  Specified by:
    `getFloat` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getFloat

    public float getFloat(String parameterName)
                   throws SQLException

  Specified by:
    `getFloat` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getDouble

    public double getDouble(int parameterIndex)
                     throws SQLException

  Specified by:
    `getDouble` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getDouble

    public double getDouble(String parameterName)
                     throws SQLException

  Specified by:
    `getDouble` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getBytes

    public byte[] getBytes(int parameterIndex)
                    throws SQLException

  Specified by:
    `getBytes` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getBytes

    public byte[] getBytes(String parameterName)
                    throws SQLException

  Specified by:
    `getBytes` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getURL

    public URL getURL(int parameterIndex)
               throws SQLException

  Specified by:
    `getURL` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getURL

    public URL getURL(String parameterName)
               throws SQLException

  Specified by:
    `getURL` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getString

    public String getString(int parameterIndex)
                     throws SQLException

  Specified by:
    `getString` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getString

    public String getString(String parameterName)
                     throws SQLException

  Specified by:
    `getString` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getRef

    public Ref getRef(int parameterIndex)
               throws SQLException

  Specified by:
    `getRef` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getRef

    public Ref getRef(String parameterName)
               throws SQLException

  Specified by:
    `getRef` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getTime

    public Time getTime(int parameterIndex)
                 throws SQLException

  Specified by:
    `getTime` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getTime

    public Time getTime(int parameterIndex,
                        Calendar calendar)
                 throws SQLException

  Specified by:
    `getTime` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getTime

    public Time getTime(String parameterName)
                 throws SQLException

  Specified by:
    `getTime` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getTime

    public Time getTime(String parameterName,
                        Calendar calendar)
                 throws SQLException

  Specified by:
    `getTime` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getDate

    public Date getDate(int parameterIndex)
                 throws SQLException

  Specified by:
    `getDate` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getDate

    public Date getDate(int parameterIndex,
                        Calendar calendar)
                 throws SQLException

  Specified by:
    `getDate` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getDate

    public Date getDate(String parameterName)
                 throws SQLException

  Specified by:
    `getDate` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getDate

    public Date getDate(String parameterName,
                        Calendar calendar)
                 throws SQLException

  Specified by:
    `getDate` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType)
                              throws SQLException

  Specified by:
    `registerOutParameter` in interface `CallableStatement`
  Throws:
    `SQLException` -

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType,
                                     int scale)
                              throws SQLException

  Specified by:
    `registerOutParameter` in interface `CallableStatement`
  Throws:
    `SQLException` -

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType,
                                     String typeName)
                              throws SQLException

  Specified by:
    `registerOutParameter` in interface `CallableStatement`
  Throws:
    `SQLException` -

### registerOutParameter

    public void registerOutParameter(String parameterName,
                                     int sqlType)
                              throws SQLException

  Specified by:
    `registerOutParameter` in interface `CallableStatement`
  Throws:
    `SQLException` -

### registerOutParameter

    public void registerOutParameter(String parameterName,
                                     int sqlType,
                                     int scale)
                              throws SQLException

  Specified by:
    `registerOutParameter` in interface `CallableStatement`
  Throws:
    `SQLException` -

### registerOutParameter

    public void registerOutParameter(String parameterName,
                                     int sqlType,
                                     String typeName)
                              throws SQLException

  Specified by:
    `registerOutParameter` in interface `CallableStatement`
  Throws:
    `SQLException` -

### wasNull

    public boolean wasNull()
                    throws SQLException

  Specified by:
    `wasNull` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getBigDecimal

    public BigDecimal getBigDecimal(int parameterIndex,
                                    int scale)
                             throws SQLException

  Specified by:
    `getBigDecimal` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getBigDecimal

    public BigDecimal getBigDecimal(int parameterIndex)
                             throws SQLException

  Specified by:
    `getBigDecimal` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getBigDecimal

    public BigDecimal getBigDecimal(String parameterName)
                             throws SQLException

  Specified by:
    `getBigDecimal` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getTimestamp

    public Timestamp getTimestamp(int parameterIndex)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getTimestamp

    public Timestamp getTimestamp(int parameterIndex,
                                  Calendar calendar)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getTimestamp

    public Timestamp getTimestamp(String parameterName)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getTimestamp

    public Timestamp getTimestamp(String parameterName,
                                  Calendar calendar)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getBlob

    public Blob getBlob(int parameterIndex)
                 throws SQLException

  Specified by:
    `getBlob` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getBlob

    public Blob getBlob(String parameterName)
                 throws SQLException

  Specified by:
    `getBlob` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getClob

    public Clob getClob(int parameterIndex)
                 throws SQLException

  Specified by:
    `getClob` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getClob

    public Clob getClob(String parameterName)
                 throws SQLException

  Specified by:
    `getClob` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getArray

    public Array getArray(int parameterIndex)
                   throws SQLException

  Specified by:
    `getArray` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### getArray

    public Array getArray(String parameterName)
                   throws SQLException

  Specified by:
    `getArray` in interface `CallableStatement`
  Returns:
  Throws:
    `SQLException` -

### setBoolean

    public void setBoolean(String parameterName,
                           boolean value)
                    throws SQLException

  Specified by:
    `setBoolean` in interface `CallableStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setByte

    public void setByte(String parameterName,
                        byte value)
                 throws SQLException

  Specified by:
    `setByte` in interface `CallableStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setShort

    public void setShort(String parameterName,
                         short value)
                  throws SQLException

  Specified by:
    `setShort` in interface `CallableStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setInt

    public void setInt(String parameterName,
                       int value)
                throws SQLException

  Specified by:
    `setInt` in interface `CallableStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setLong

    public void setLong(String parameterName,
                        long value)
                 throws SQLException

  Specified by:
    `setLong` in interface `CallableStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setFloat

    public void setFloat(String parameterName,
                         float value)
                  throws SQLException

  Specified by:
    `setFloat` in interface `CallableStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setDouble

    public void setDouble(String parameterName,
                          double value)
                   throws SQLException

  Specified by:
    `setDouble` in interface `CallableStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setURL

    public void setURL(String parameterName,
                       URL value)
                throws SQLException

  Specified by:
    `setURL` in interface `CallableStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setTime

    public void setTime(String parameterName,
                        Time value)
                 throws SQLException

  Specified by:
    `setTime` in interface `CallableStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setTime

    public void setTime(String parameterName,
                        Time value,
                        Calendar calendar)
                 throws SQLException

  Specified by:
    `setTime` in interface `CallableStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setNull

    public void setNull(String parameterName,
                        int value)
                 throws SQLException

  Specified by:
    `setNull` in interface `CallableStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setNull

    public void setNull(String parameterName,
                        int sqlType,
                        String typeName)
                 throws SQLException

  Specified by:
    `setNull` in interface `CallableStatement`
  Throws:
    `SQLException` -

### setBigDecimal

    public void setBigDecimal(String parameterName,
                              BigDecimal value)
                       throws SQLException

  Specified by:
    `setBigDecimal` in interface `CallableStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setString

    public void setString(String parameterName,
                          String value)
                   throws SQLException

  Specified by:
    `setString` in interface `CallableStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setBytes

    public void setBytes(String parameterName,
                         byte[] value)
                  throws SQLException

  Specified by:
    `setBytes` in interface `CallableStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setDate

    public void setDate(String parameterName,
                        Date value)
                 throws SQLException

  Specified by:
    `setDate` in interface `CallableStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setDate

    public void setDate(String parameterName,
                        Date value,
                        Calendar calendar)
                 throws SQLException

  Specified by:
    `setDate` in interface `CallableStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setTimestamp

    public void setTimestamp(String parameterName,
                             Timestamp value)
                      throws SQLException

  Specified by:
    `setTimestamp` in interface `CallableStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setTimestamp

    public void setTimestamp(String parameterName,
                             Timestamp value,
                             Calendar calendar)
                      throws SQLException

  Specified by:
    `setTimestamp` in interface `CallableStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setAsciiStream

    public void setAsciiStream(String parameterName,
                               InputStream stream,
                               int length)
                        throws SQLException

  Specified by:
    `setAsciiStream` in interface `CallableStatement`
  Throws:
    `SQLException` -

### setBinaryStream

    public void setBinaryStream(String parameterName,
                                InputStream stream,
                                int length)
                         throws SQLException

  Specified by:
    `setBinaryStream` in interface `CallableStatement`
  Throws:
    `SQLException` -

### setObject

    public void setObject(String parameterName,
                          Object value,
                          int sqlType,
                          int scale)
                   throws SQLException

  Specified by:
    `setObject` in interface `CallableStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setObject

    public void setObject(String parameterName,
                          Object value,
                          int sqlType)
                   throws SQLException

  Specified by:
    `setObject` in interface `CallableStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setObject

    public void setObject(String parameterName,
                          Object value)
                   throws SQLException

  Specified by:
    `setObject` in interface `CallableStatement`
  Parameters:
    `value` -
  Throws:
    `SQLException` -

### setCharacterStream

    public void setCharacterStream(String parameterName,
                                   Reader reader,
                                   int length)
                            throws SQLException

  Specified by:
    `setCharacterStream` in interface `CallableStatement`
  Throws:
    `SQLException` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.